import { createAggregatedClient } from "@smithy/smithy-client";
import { ChimeSDKMediaPipelinesClient } from "./ChimeSDKMediaPipelinesClient";
import { CreateMediaCapturePipelineCommand, } from "./commands/CreateMediaCapturePipelineCommand";
import { CreateMediaConcatenationPipelineCommand, } from "./commands/CreateMediaConcatenationPipelineCommand";
import { CreateMediaInsightsPipelineCommand, } from "./commands/CreateMediaInsightsPipelineCommand";
import { CreateMediaInsightsPipelineConfigurationCommand, } from "./commands/CreateMediaInsightsPipelineConfigurationCommand";
import { CreateMediaLiveConnectorPipelineCommand, } from "./commands/CreateMediaLiveConnectorPipelineCommand";
import { DeleteMediaCapturePipelineCommand, } from "./commands/DeleteMediaCapturePipelineCommand";
import { DeleteMediaInsightsPipelineConfigurationCommand, } from "./commands/DeleteMediaInsightsPipelineConfigurationCommand";
import { DeleteMediaPipelineCommand, } from "./commands/DeleteMediaPipelineCommand";
import { GetMediaCapturePipelineCommand, } from "./commands/GetMediaCapturePipelineCommand";
import { GetMediaInsightsPipelineConfigurationCommand, } from "./commands/GetMediaInsightsPipelineConfigurationCommand";
import { GetMediaPipelineCommand, } from "./commands/GetMediaPipelineCommand";
import { GetSpeakerSearchTaskCommand, } from "./commands/GetSpeakerSearchTaskCommand";
import { GetVoiceToneAnalysisTaskCommand, } from "./commands/GetVoiceToneAnalysisTaskCommand";
import { ListMediaCapturePipelinesCommand, } from "./commands/ListMediaCapturePipelinesCommand";
import { ListMediaInsightsPipelineConfigurationsCommand, } from "./commands/ListMediaInsightsPipelineConfigurationsCommand";
import { ListMediaPipelinesCommand, } from "./commands/ListMediaPipelinesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { StartSpeakerSearchTaskCommand, } from "./commands/StartSpeakerSearchTaskCommand";
import { StartVoiceToneAnalysisTaskCommand, } from "./commands/StartVoiceToneAnalysisTaskCommand";
import { StopSpeakerSearchTaskCommand, } from "./commands/StopSpeakerSearchTaskCommand";
import { StopVoiceToneAnalysisTaskCommand, } from "./commands/StopVoiceToneAnalysisTaskCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateMediaInsightsPipelineConfigurationCommand, } from "./commands/UpdateMediaInsightsPipelineConfigurationCommand";
import { UpdateMediaInsightsPipelineStatusCommand, } from "./commands/UpdateMediaInsightsPipelineStatusCommand";
const commands = {
    CreateMediaCapturePipelineCommand,
    CreateMediaConcatenationPipelineCommand,
    CreateMediaInsightsPipelineCommand,
    CreateMediaInsightsPipelineConfigurationCommand,
    CreateMediaLiveConnectorPipelineCommand,
    DeleteMediaCapturePipelineCommand,
    DeleteMediaInsightsPipelineConfigurationCommand,
    DeleteMediaPipelineCommand,
    GetMediaCapturePipelineCommand,
    GetMediaInsightsPipelineConfigurationCommand,
    GetMediaPipelineCommand,
    GetSpeakerSearchTaskCommand,
    GetVoiceToneAnalysisTaskCommand,
    ListMediaCapturePipelinesCommand,
    ListMediaInsightsPipelineConfigurationsCommand,
    ListMediaPipelinesCommand,
    ListTagsForResourceCommand,
    StartSpeakerSearchTaskCommand,
    StartVoiceToneAnalysisTaskCommand,
    StopSpeakerSearchTaskCommand,
    StopVoiceToneAnalysisTaskCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateMediaInsightsPipelineConfigurationCommand,
    UpdateMediaInsightsPipelineStatusCommand,
};
export class ChimeSDKMediaPipelines extends ChimeSDKMediaPipelinesClient {
}
createAggregatedClient(commands, ChimeSDKMediaPipelines);
