import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  GetSpeakerSearchTaskRequest,
  GetSpeakerSearchTaskResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetSpeakerSearchTaskCommandInput
  extends GetSpeakerSearchTaskRequest {}
export interface GetSpeakerSearchTaskCommandOutput
  extends GetSpeakerSearchTaskResponse,
    __MetadataBearer {}
export declare class GetSpeakerSearchTaskCommand extends $Command<
  GetSpeakerSearchTaskCommandInput,
  GetSpeakerSearchTaskCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: GetSpeakerSearchTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetSpeakerSearchTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetSpeakerSearchTaskCommandInput,
    GetSpeakerSearchTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
